giraph-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Fredrik Einarsson (JIRA)" <j...@apache.org>
Subject [jira] [Created] (GIRAPH-990) Current trunk will build for hadoop 1.2.0 not 0.20.203 as stated by documentation
Date Tue, 27 Jan 2015 11:28:34 GMT
Fredrik Einarsson created GIRAPH-990:
----------------------------------------

             Summary: Current trunk will build for hadoop 1.2.0 not 0.20.203 as stated by
documentation
                 Key: GIRAPH-990
                 URL: https://issues.apache.org/jira/browse/GIRAPH-990
             Project: Giraph
          Issue Type: Task
          Components: documentation
    Affects Versions: 1.2.0-SNAPSHOT
         Environment: hadoop 0.20.203
            Reporter: Fredrik Einarsson
             Fix For: 1.2.0-SNAPSHOT


I am new to hadoop, giraph etc and will use it as a part of my master thesis. Therefore I
went to your quickstart guide (http://giraph.apache.org/quick_start.html) and followed it.

If one follows the guide point by point the "mvn package -DskipTests" command will result
in giraph-examples jar giraph-examples-1.2.0-SNAPSHOT-for-hadoop-1.2.1-jar-with-dependencies.jar.
not the version for 0.20.203 which is needed. Also when I visit your github page it is stated

"- Apache Hadoop 0.20.203.0
  This is the default version used by Giraph: if you do not specify a
profile with the -P flag, maven will use this version. You may also
explicitly specify it with "mvn -Phadoop_0.20.203 <goals>"."

Either documentation or mvn settings is wrong. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message